<?php 

include_once('../conexao.php');

$postjson = json_decode(file_get_contents('php://input'), true);

$id_usu = @$_GET['user'];

$tarefasPendentes = 0;
$tarefasPendentesEscritorio = 0;
$totalTarefasHoje = 0;
$totalTarefasConcluidasHoje = 0;
$porcentagemTarefas = 0;

$query = $pdo->query("SELECT * from clientes where ativo = 'Sim'");
$res = $query->fetchAll(PDO::FETCH_ASSOC);
$total_pessoas = @count($res);

$query = $pdo->query("SELECT * from fornecedores where ativo = 'Sim'");
$res = $query->fetchAll(PDO::FETCH_ASSOC);
$total_forn = @count($res);

$query = $pdo->query("SELECT * from funcionarios");
$res = $query->fetchAll(PDO::FETCH_ASSOC);
$total_func = @count($res);

$query = $pdo->query("SELECT * FROM tarefas where status = 'Agendada' and usuario = '$id_usu' ");
$res = $query->fetchAll(PDO::FETCH_ASSOC);
$tarefasPendentes = @count($res);

$query = $pdo->query("SELECT * FROM tarefas where status = 'Agendada' and data = curDate() ");
$res = $query->fetchAll(PDO::FETCH_ASSOC);
$tarefasPendentesEscritorio = @count($res);


$query = $pdo->query("SELECT * FROM tarefas where data = curDate() and usuario = '$id_usu'");
$res = $query->fetchAll(PDO::FETCH_ASSOC);
$totalTarefasHoje = @count($res);

$query = $pdo->query("SELECT * FROM tarefas where data = curDate() and usuario = '$id_usu' and status = 'Concluída'");
$res = $query->fetchAll(PDO::FETCH_ASSOC);
$totalTarefasConcluidasHoje = @count($res);

if($totalTarefasConcluidasHoje > 0 and $totalTarefasHoje > 0){
	$porcentagemTarefas = ($totalTarefasConcluidasHoje / $totalTarefasHoje) * 100;
}


$result = json_encode(array('success'=>true, 
    'quantidade_clientes'=>$total_pessoas,
    'quantidade_forn'=>$total_forn,
    'tarefasPendentes' => $tarefasPendentes,
    'tarefasPendentesEscritorio' => $tarefasPendentesEscritorio,
    'totalTarefasHoje' => $totalTarefasHoje,
    'totalTarefasConcluidasHoje' => $totalTarefasConcluidasHoje,
    'porcentagemTarefas' => $porcentagemTarefas,
    'total_func' => $total_func,
    
));

echo $result;
